> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/getbundletipstream.md).

# GetBundleTipStream

This channel provides you with percentiles for recent Jito bundle tips.

{% hint style="warning" %}
Be aware that using a suggested tip does not guarantee your transaction will be included in the future slot.
{% endhint %}

### Method: `subscribe`

### Primary Parameter: `GetBundleTipStream`

### Additional Parameters: {none}

<table><thead><tr><th width="179.32569366693275">Parameter</th><th width="139.23125339579434">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>-</code></td><td>-</td><td><strong>-</strong></td></tr></tbody></table>

#### Subscribe sample:

{% tabs %}
{% tab title="WebSocket" %}

```bash
wscat --header "Authorization: $AUTH_HEADER" \
-c wss://ny.solana.dex.blxrbdn.com/ws --execute '{"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": ["GetBundleTipStream", {}]}' --wait 10000
```

{% endtab %}
{% endtabs %}

**Event Result Details:**

<table><thead><tr><th width="206.12060301507535">Fields</th><th width="147.02020202020208">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>timestamp</code></td><td>string</td><td>The timestamp when the sample was taken.</td></tr><tr><td><code>percentile25</code></td><td>uint64</td><td>How much tip was paid at the 25th percentile.</td></tr><tr><td><code>percentile50</code></td><td>uint64</td><td>How much tip was paid at the 50th percentile.</td></tr><tr><td><code>percentile75</code></td><td>uint64</td><td>How much tip was paid at the 75th percentile.</td></tr><tr><td><code>percentile95</code></td><td>uint64</td><td>How much tip was paid at the 95th percentile.</td></tr><tr><td><code>percentile99</code></td><td>uint64</td><td>How much tip was paid at the 99th percentile.</td></tr><tr><td><code>emaPrcentile50</code></td><td>uint64</td><td>The 1-minute Exponential Moving Average (EMA) for the 50th percentile tip.</td></tr></tbody></table>

#### Sample event:

<pre class="language-json"><code class="lang-json">{
    "jsonrpc":"2.0",
    "method":"subscribe",
    "params":{
        "subscription":"8df27f43-7cce-4d39-a343-34d95adce1c6",
        "result":{
            "timestamp":"2024-04-16T16:24:00Z",
            "percentile25":8249950000,
            "percentile50":30500000000,
            "percentile75":169589750000,
            "percentile95":748082600000,
            "percentile99":1771670918000,
            "emaPercentile50":30500000000           
<strong>        }
</strong>    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/getbundletipstream.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
